org.apache.catalina.mbeans

## Class ClassNameMBean

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.ClassNameMBean

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration, ModelMBeanNotificationBroadcaster, NotificationBroadcaster

Direct Known Subclasses:
  ConnectorMBean

    public class ClassNameMBean
    extends BaseModelMBean

A convenience base class for ModelMBean implementations where the underlying base class (and therefore the set of supported properties) is different for varying implementations of a standard interface. For Catalina, that includes at least the following: Connector, Logger, Realm, and Valve. This class creates an artificial MBean attribute named `className`, which reports the fully qualified class name of the managed object as its value.

Author:
  Craig R. McClanahan

### Field Summary

### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

### Constructor Summary

Constructors
Constructor and Description
`ClassNameMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

### Method Summary

Methods
`String` `getClassName()` Return the fully qualified Java class name of the managed object for this MBean.

### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClassNameMBean

    public ClassNameMBean()
                   throws MBeanException,
                          RuntimeOperationsException

Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Throws:
  `MBeanException` - if the initialize of an object throws an exception
  `RuntimeOperationsException` - if an IllegalArgumentException occurs

### Method Detail

#### getClassName

    public String getClassName()

Return the fully qualified Java class name of the managed object for this MBean.

Overrides:
  `getClassName` in class `BaseModelMBean`